c    Program:  test.f
c    Author:   Mylene J. Remigio
c    Purpose:  testing of subroutine truewind.f
c    Updated:  February 13, 1998
c
c    Direct questions to:  wocemet@coaps.fsu.edu 
c 
c    DESCRIPTION
c    ***********
c    
c    The following source code enables the user to test the truewind.f
c    program using sixteen examples:
c    --Examples #1-10 contain no missing values, and all values
c      are valid.  "tdir" and "tspd" are calculated.  
c    --Example #11 contains one missing value.  "tdir" and "tspd" are
c      NOT calculated and are given the values of the missing value
c      flag.
c    --Example #12 contains all missing values.  "tdir" and "tspd" are
c      NOT calculated and are given the values of the missing value
c      flag.  
c    --Examples #13-17 each contain one invalid value.  "tdir" and "tspd"
c      are NOT calculated and are given the values of the missing value
c      flag.
c      
c    Descriptions of the variable names can be found in the source code
c    of "truewind.f".
c    
c    The output should be the similar to the text file "results".
c    
c    Because this data set is relatively small, the full test is run
c    (sel = 1) to show all possible types of output.
c 
c    
c    COMPILING AND RUNNING
c    *********************
c    
c    To compile "test.f", type:
c           f77 -o test test.f truewind.f
c           
c    Then to run simply type:
c           test
c
c



      program test
            
      real crse(17), cspd(17), wdir(17), wspd(17), tdir(17), tspd(17),
     +   wmis(5), hd(17), adir(17), zlr
      integer num, nw, nwpm, nwam, nwf, sel
      data crse/4*0.0, 180.0, 90.0, 90.0, 225.0, 270.0, 0.0, 2.0,
     +    -1111.0, -2.0, 3.0, 2*0.0, 5.0/
      data cspd/2*0.0, 6*5.0, 3.0, 0.0, 2*-9999.0, 8.0, -6.0, 2*0.0, 
     +    1.0/ 
      data wdir/2*90.0, 2*0.0, 180.0, 90.0, 135.0, 270.0, 90.0, 2*0.0,
     +    1111.0, 8.0, 0.0, -9.0, 7.0, 2.0/
      data hd/0.0, 90.0, 2*0.0, 180.0, 90.0, 45.0, 225.0, 270.0, 2*0.0,
     +    5555.0, 4*8.0, -13.0/
      data adir/17*0.0/
      data wspd/3*5.0, 0.0, 4*5.0, 4.0, 2*0.0, 9999.0, 3*3.0, -4.0, 2.0/
      data wmis/-1111.0, -9999.0, 1111.0, 9999.0, 5555.0/
      zlr = 0.0      

      num = 17
      sel = 1

      
      call truewind(num,sel,crse,cspd,wdir,zlr,hd,adir,wspd,wmis,tdir,
     +   tspd,nw,nwpm,nwam,nwf)

      end
      
